<?php
// входной файл для скрипта /services/events/check_personals/?uid=861047280256841743aa571cb23a3f4d
include(_DIR_TO_MODULES.'/engine/i_backgroup_process.php') ;
class c_services_events_check_personals extends i_backgroup_process_exec
{
  function exec()
  { $result=array() ;
	// все входные параметры передаются через GET
	$rec_event=EVENTS()->get_event_by_id($this->setting['event_id']) ;
	if ($rec_event['pkey'])
	{ $obj_event=EVENTS()->get_event_obj_by_ext($rec_event['ext']) ;
    // будет добавлен/удален персонал в мероприятие и обновлены его статусы
	  if (is_object($obj_event)) $result=$obj_event->update_personal_status_1($rec_event['pkey']) ;
	}
	echo 'Уже добавлено в мероприятие: <strong>'.$result['exist'].'</strong><br>'  ;
	FILE_LOG()->append('Уже добавлено в мероприятие: '.$result['exist']) ;
	echo 'Добавлено новых сотрудников: <strong>'.$result['add'].'</strong><br>'  ;
	FILE_LOG()->append('Добавлено новых сотрудников: '.$result['add']) ;
	echo 'Удалено из мероприятия: <strong>'.$result['remove'].'</strong><br>'  ;
	FILE_LOG()->append('Удалено из мероприятия: '.$result['remove']) ;
  }


}



?>
